jQuery(document).ready( function(jQuery){

	reveal_posts();

	/* variable decalarations */
	var last_scroll = 0;

	/* carousel functions */
	jQuery(document).on('click', '.eroshik_savp_carousel_thumb', function() {
    	var id = jQuery("#" + jQuery(this).attr("id"));
    	jQuery(id).on('slid.bs.carousel', function () {
	    	eroshik_savp_get_bs_thumbs(id);
    	});
    });

    jQuery(document).on('mouseenter', '.eroshik_savp_carousel_thumb', function() {
    	var id = jQuery("#" + jQuery(this).attr("id"));
        eroshik_savp_get_bs_thumbs(id);
    });

	function eroshik_savp_get_bs_thumbs( id ){


		var nextThumb = jQuery(id).find(".item.active").find(".next-image-preview").data("image");
        var prevThumb = jQuery(id).find(".item.active").find(".prev-image-preview").data("image");
        jQuery(id).find(".right.carousel-control").find(".thumbnail-container").css({"background-image" : "url("+ nextThumb +")"});
        jQuery(id).find(".left.carousel-control").find(".thumbnail-container").css({"background-image" : "url("+ prevThumb +")"});

	}





	//ajax
	jQuery(document).on('click','.eroshik_savp_load_more:not(.loading)', function(){
	 
		var that = jQuery(this);
		var page = jQuery(this).data('page');
		var newPage = page+1;
		var prev=that.data('prev');
		var ajaxurl = that.data('url');
		var archive =that.data('archive');

		if(typeof prev==='undefined'){
			prev=0;
		}
		if(typeof archive==='undefined'){
			archive=0;
		}

		that.addClass('loading').find('.text').slideUp(320);
		that.find('.fa-refresh').addClass('spin');

		jQuery.ajax({

			url : ajax_object.ajax_url,
			type : 'post',
			data : {

				page : page,
				prev: prev,
				archive: archive,
				action: 'eroshik_savp_load_more'

			},
			error : function( response ){

			},
			success : function( response ){

				if(response==0){
					jQuery('.eroshik_savp_posts_container').append( '<div class="text-center"><h3>'+eroshiksavpendofblog.end_of_blog_posts+'</h3></div>' );
					that.slideUp(320);
				}else{
					setTimeout(function(){

						if(prev==1){
							  jQuery('.eroshik_savp_posts_container').prepend( response );
								newPage=page-1;
						}else{
								jQuery('.eroshik_savp_posts_container').append( response );
						}

						if(newPage==1){
							that.slideUp(320);
						}else{

							that.data('page', newPage);
							that.removeClass('loading').find('.text').slideDown(320);
							that.find('.fa-refresh').removeClass('spin');

						}
						reveal_posts();

					}, 100);

				}


			}

		});

	});



	//functions
	function reveal_posts(){
		var posts=jQuery('article:not(.reveal)');
		var i=0;
		setInterval(function(){
			if(i>=posts.length) return false
				var elem=posts[i];
				jQuery(elem).addClass('reveal').find('.eroshik_savp_carousel_thumb').carousel();
				i++;
		},100);
	}


	function isVisible( element ){

		var scroll_pos = jQuery(window).scrollTop();
		var window_height = jQuery(window).height();
		var el_top = jQuery(element).offset().top;
		var el_height = jQuery(element).height();
		var el_bottom = el_top + el_height;
		return ( ( el_bottom - el_height*0.25 > scroll_pos ) && ( el_top < ( scroll_pos+0.5*window_height ) ) );

	}


	/* sidebar functions */
	jQuery(document).on('click', '.js-closeSidebar', function() {
    	jQuery( '.eroshik_savp_sidebar_blog' ).addClass( 'sidebar-closed' );
			jQuery( 'body' ).toggleClass( 'no-scroll' );
			jQuery( '.blog_sidebar_overlay' ).fadeToggle(320);
    });

		jQuery(document).on('click', '.js-openSidebar', function() {
	    	jQuery( '.eroshik_savp_sidebar_blog' ).removeClass( 'sidebar-closed' );
				jQuery( 'body' ).toggleClass( 'no-scroll' );
				jQuery( '.blog_sidebar_overlay' ).fadeToggle(320);
	   });

 });
